<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_202) on Sat Apr 27 15:39:26 CEST 2019 -->
<title>AbstractFbWireDatabase (Jaybird API)</title>
<meta name="date" content="2019-04-27">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="AbstractFbWireDatabase (Jaybird API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":6,"i14":10,"i15":10,"i16":10,"i17":10,"i18":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/firebirdsql/gds/ng/wire/AbstractFbWireBlob.html" title="class in org.firebirdsql.gds.ng.wire"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../org/firebirdsql/gds/ng/wire/AbstractFbWireInputBlob.html" title="class in org.firebirdsql.gds.ng.wire"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/firebirdsql/gds/ng/wire/AbstractFbWireDatabase.html" target="_top">Frames</a></li>
<li><a href="AbstractFbWireDatabase.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.firebirdsql.gds.ng.wire</div>
<h2 title="Class AbstractFbWireDatabase" class="title">Class AbstractFbWireDatabase</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li><a href="../../../../../org/firebirdsql/gds/ng/AbstractFbAttachment.html" title="class in org.firebirdsql.gds.ng">org.firebirdsql.gds.ng.AbstractFbAttachment</a>&lt;T&gt;</li>
<li>
<ul class="inheritance">
<li><a href="../../../../../org/firebirdsql/gds/ng/AbstractFbDatabase.html" title="class in org.firebirdsql.gds.ng">org.firebirdsql.gds.ng.AbstractFbDatabase</a>&lt;<a href="../../../../../org/firebirdsql/gds/ng/wire/WireDatabaseConnection.html" title="class in org.firebirdsql.gds.ng.wire">WireDatabaseConnection</a>&gt;</li>
<li>
<ul class="inheritance">
<li>org.firebirdsql.gds.ng.wire.AbstractFbWireDatabase</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/AutoCloseable.html?is-external=true" title="class or interface in java.lang">AutoCloseable</a>, <a href="../../../../../org/firebirdsql/gds/ng/FbAttachment.html" title="interface in org.firebirdsql.gds.ng">FbAttachment</a>, <a href="../../../../../org/firebirdsql/gds/ng/FbDatabase.html" title="interface in org.firebirdsql.gds.ng">FbDatabase</a>, <a href="../../../../../org/firebirdsql/gds/ng/listeners/ExceptionListenable.html" title="interface in org.firebirdsql.gds.ng.listeners">ExceptionListenable</a>, <a href="../../../../../org/firebirdsql/gds/ng/listeners/TransactionListener.html" title="interface in org.firebirdsql.gds.ng.listeners">TransactionListener</a>, <a href="../../../../../org/firebirdsql/gds/ng/wire/FbWireAttachment.html" title="interface in org.firebirdsql.gds.ng.wire">FbWireAttachment</a>, <a href="../../../../../org/firebirdsql/gds/ng/wire/FbWireDatabase.html" title="interface in org.firebirdsql.gds.ng.wire">FbWireDatabase</a></dd>
</dl>
<dl>
<dt>Direct Known Subclasses:</dt>
<dd><a href="../../../../../org/firebirdsql/gds/ng/wire/version10/V10Database.html" title="class in org.firebirdsql.gds.ng.wire.version10">V10Database</a></dd>
</dl>
<hr>
<br>
<pre>public abstract class <span class="typeNameLabel">AbstractFbWireDatabase</span>
extends <a href="../../../../../org/firebirdsql/gds/ng/AbstractFbDatabase.html" title="class in org.firebirdsql.gds.ng">AbstractFbDatabase</a>&lt;<a href="../../../../../org/firebirdsql/gds/ng/wire/WireDatabaseConnection.html" title="class in org.firebirdsql.gds.ng.wire">WireDatabaseConnection</a>&gt;
implements <a href="../../../../../org/firebirdsql/gds/ng/wire/FbWireDatabase.html" title="interface in org.firebirdsql.gds.ng.wire">FbWireDatabase</a></pre>
<div class="block">Abstract class for operations common to all version of the wire protocol implementation.</div>
<dl>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>3.0</dd>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd><a href="mailto:mrotteveel@users.sourceforge.net">Mark Rotteveel</a></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested.class.summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.org.firebirdsql.gds.ng.wire.FbWireAttachment">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from interface&nbsp;org.firebirdsql.gds.ng.wire.<a href="../../../../../org/firebirdsql/gds/ng/wire/FbWireAttachment.html" title="interface in org.firebirdsql.gds.ng.wire">FbWireAttachment</a></h3>
<code><a href="../../../../../org/firebirdsql/gds/ng/wire/FbWireAttachment.AcceptPacket.html" title="class in org.firebirdsql.gds.ng.wire">FbWireAttachment.AcceptPacket</a></code></li>
</ul>
</li>
</ul>
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected <a href="../../../../../org/firebirdsql/gds/ng/wire/ProtocolDescriptor.html" title="interface in org.firebirdsql.gds.ng.wire">ProtocolDescriptor</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/wire/AbstractFbWireDatabase.html#protocolDescriptor">protocolDescriptor</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected <a href="../../../../../org/firebirdsql/gds/ng/wire/FbWireOperations.html" title="interface in org.firebirdsql.gds.ng.wire">FbWireOperations</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/wire/AbstractFbWireDatabase.html#wireOperations">wireOperations</a></span></code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.firebirdsql.gds.ng.AbstractFbAttachment">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;org.firebirdsql.gds.ng.<a href="../../../../../org/firebirdsql/gds/ng/AbstractFbAttachment.html" title="class in org.firebirdsql.gds.ng">AbstractFbAttachment</a></h3>
<code><a href="../../../../../org/firebirdsql/gds/ng/AbstractFbAttachment.html#connection">connection</a>, <a href="../../../../../org/firebirdsql/gds/ng/AbstractFbAttachment.html#exceptionListenerDispatcher">exceptionListenerDispatcher</a></code></li>
</ul>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier</th>
<th class="colLast" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected </code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/wire/AbstractFbWireDatabase.html#AbstractFbWireDatabase-org.firebirdsql.gds.ng.wire.WireDatabaseConnection-org.firebirdsql.gds.ng.wire.ProtocolDescriptor-">AbstractFbWireDatabase</a></span>(<a href="../../../../../org/firebirdsql/gds/ng/wire/WireDatabaseConnection.html" title="class in org.firebirdsql.gds.ng.wire">WireDatabaseConnection</a>&nbsp;connection,
                      <a href="../../../../../org/firebirdsql/gds/ng/wire/ProtocolDescriptor.html" title="interface in org.firebirdsql.gds.ng.wire">ProtocolDescriptor</a>&nbsp;descriptor)</code>
<div class="block">Creates an AbstractFbWireDatabase instance.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a href="javascript:show(4);">Abstract Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/wire/AbstractFbWireDatabase.html#cancelEvent-org.firebirdsql.gds.EventHandle-">cancelEvent</a></span>(<a href="../../../../../org/firebirdsql/gds/EventHandle.html" title="interface in org.firebirdsql.gds">EventHandle</a>&nbsp;eventHandle)</code>
<div class="block">Cancels a registered event.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>protected void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/wire/AbstractFbWireDatabase.html#checkAttached--">checkAttached</a></span>()</code>
<div class="block">Checks if a physical connection to the server is established and if the
 connection is attached to a database.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>protected void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/wire/AbstractFbWireDatabase.html#checkConnected--">checkConnected</a></span>()</code>
<div class="block">Checks if a physical connection to the server is established.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>protected void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/wire/AbstractFbWireDatabase.html#closeConnection--">closeConnection</a></span>()</code>
<div class="block">Closes the WireConnection associated with this connection.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/wire/AbstractFbWireDatabase.html#consumePackets-int-org.firebirdsql.gds.ng.WarningMessageCallback-">consumePackets</a></span>(int&nbsp;numberOfResponses,
              <a href="../../../../../org/firebirdsql/gds/ng/WarningMessageCallback.html" title="interface in org.firebirdsql.gds.ng">WarningMessageCallback</a>&nbsp;warningCallback)</code>
<div class="block">Consumes packets notifying for warnings, but ignoring exceptions thrown from the packet.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/wire/AbstractFbWireDatabase.html#countEvents-org.firebirdsql.gds.EventHandle-">countEvents</a></span>(<a href="../../../../../org/firebirdsql/gds/EventHandle.html" title="interface in org.firebirdsql.gds">EventHandle</a>&nbsp;eventHandle)</code>
<div class="block">Counts the events occurred.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code><a href="../../../../../org/firebirdsql/gds/ng/FbBlob.html" title="interface in org.firebirdsql.gds.ng">FbBlob</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/wire/AbstractFbWireDatabase.html#createBlobForInput-org.firebirdsql.gds.ng.FbTransaction-org.firebirdsql.gds.BlobParameterBuffer-long-">createBlobForInput</a></span>(<a href="../../../../../org/firebirdsql/gds/ng/FbTransaction.html" title="interface in org.firebirdsql.gds.ng">FbTransaction</a>&nbsp;transaction,
                  <a href="../../../../../org/firebirdsql/gds/BlobParameterBuffer.html" title="interface in org.firebirdsql.gds">BlobParameterBuffer</a>&nbsp;blobParameterBuffer,
                  long&nbsp;blobId)</code>
<div class="block">Creates a blob for read access to an existing blob on the server.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code><a href="../../../../../org/firebirdsql/gds/ng/FbBlob.html" title="interface in org.firebirdsql.gds.ng">FbBlob</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/wire/AbstractFbWireDatabase.html#createBlobForOutput-org.firebirdsql.gds.ng.FbTransaction-org.firebirdsql.gds.BlobParameterBuffer-">createBlobForOutput</a></span>(<a href="../../../../../org/firebirdsql/gds/ng/FbTransaction.html" title="interface in org.firebirdsql.gds.ng">FbTransaction</a>&nbsp;transaction,
                   <a href="../../../../../org/firebirdsql/gds/BlobParameterBuffer.html" title="interface in org.firebirdsql.gds">BlobParameterBuffer</a>&nbsp;blobParameterBuffer)</code>
<div class="block">Creates a blob for write access to a new blob on the server.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code><a href="../../../../../org/firebirdsql/gds/EventHandle.html" title="interface in org.firebirdsql.gds">EventHandle</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/wire/AbstractFbWireDatabase.html#createEventHandle-java.lang.String-org.firebirdsql.gds.EventHandler-">createEventHandle</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;eventName,
                 <a href="../../../../../org/firebirdsql/gds/EventHandler.html" title="interface in org.firebirdsql.gds">EventHandler</a>&nbsp;eventHandler)</code>
<div class="block">Creates an event handle for this database type.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>protected void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/wire/AbstractFbWireDatabase.html#finalize--">finalize</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>protected <a href="../../../../../org/firebirdsql/gds/impl/wire/XdrInputStream.html" title="class in org.firebirdsql.gds.impl.wire">XdrInputStream</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/wire/AbstractFbWireDatabase.html#getXdrIn--">getXdrIn</a></span>()</code>
<div class="block">Gets the XdrInputStream.</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>protected <a href="../../../../../org/firebirdsql/gds/impl/wire/XdrOutputStream.html" title="class in org.firebirdsql.gds.impl.wire">XdrOutputStream</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/wire/AbstractFbWireDatabase.html#getXdrOut--">getXdrOut</a></span>()</code>
<div class="block">Gets the XdrOutputStream.</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code><a href="../../../../../org/firebirdsql/gds/ng/wire/XdrStreamAccess.html" title="interface in org.firebirdsql.gds.ng.wire">XdrStreamAccess</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/wire/AbstractFbWireDatabase.html#getXdrStreamAccess--">getXdrStreamAccess</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>abstract <a href="../../../../../org/firebirdsql/gds/ng/wire/FbWireAsynchronousChannel.html" title="interface in org.firebirdsql.gds.ng.wire">FbWireAsynchronousChannel</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/wire/AbstractFbWireDatabase.html#initAsynchronousChannel--">initAsynchronousChannel</a></span>()</code>
<div class="block">Initializes the asynchronous channel (for event notification).</div>
</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/wire/AbstractFbWireDatabase.html#isAttached--">isAttached</a></span>()</code>
<div class="block">Current attachment status.</div>
</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/wire/AbstractFbWireDatabase.html#queueEvent-org.firebirdsql.gds.EventHandle-">queueEvent</a></span>(<a href="../../../../../org/firebirdsql/gds/EventHandle.html" title="interface in org.firebirdsql.gds">EventHandle</a>&nbsp;eventHandle)</code>
<div class="block">Queues a wait for an event.</div>
</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code><a href="../../../../../org/firebirdsql/gds/ng/wire/GenericResponse.html" title="class in org.firebirdsql.gds.ng.wire">GenericResponse</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/wire/AbstractFbWireDatabase.html#readGenericResponse-org.firebirdsql.gds.ng.WarningMessageCallback-">readGenericResponse</a></span>(<a href="../../../../../org/firebirdsql/gds/ng/WarningMessageCallback.html" title="interface in org.firebirdsql.gds.ng">WarningMessageCallback</a>&nbsp;warningCallback)</code>
<div class="block">Convenience method to read a Response to a GenericResponse</div>
</td>
</tr>
<tr id="i17" class="rowColor">
<td class="colFirst"><code><a href="../../../../../org/firebirdsql/gds/ng/wire/Response.html" title="interface in org.firebirdsql.gds.ng.wire">Response</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/wire/AbstractFbWireDatabase.html#readResponse-org.firebirdsql.gds.ng.WarningMessageCallback-">readResponse</a></span>(<a href="../../../../../org/firebirdsql/gds/ng/WarningMessageCallback.html" title="interface in org.firebirdsql.gds.ng">WarningMessageCallback</a>&nbsp;warningCallback)</code>
<div class="block">Reads the response from the server.</div>
</td>
</tr>
<tr id="i18" class="altColor">
<td class="colFirst"><code><a href="../../../../../org/firebirdsql/gds/ng/wire/SqlResponse.html" title="class in org.firebirdsql.gds.ng.wire">SqlResponse</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/wire/AbstractFbWireDatabase.html#readSqlResponse-org.firebirdsql.gds.ng.WarningMessageCallback-">readSqlResponse</a></span>(<a href="../../../../../org/firebirdsql/gds/ng/WarningMessageCallback.html" title="interface in org.firebirdsql.gds.ng">WarningMessageCallback</a>&nbsp;warningCallback)</code>
<div class="block">Convenience method to read a Response to a SqlResponse</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.firebirdsql.gds.ng.AbstractFbDatabase">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.firebirdsql.gds.ng.<a href="../../../../../org/firebirdsql/gds/ng/AbstractFbDatabase.html" title="class in org.firebirdsql.gds.ng">AbstractFbDatabase</a></h3>
<code><a href="../../../../../org/firebirdsql/gds/ng/AbstractFbDatabase.html#addDatabaseListener-org.firebirdsql.gds.ng.listeners.DatabaseListener-">addDatabaseListener</a>, <a href="../../../../../org/firebirdsql/gds/ng/AbstractFbDatabase.html#addWeakDatabaseListener-org.firebirdsql.gds.ng.listeners.DatabaseListener-">addWeakDatabaseListener</a>, <a href="../../../../../org/firebirdsql/gds/ng/AbstractFbDatabase.html#close--">close</a>, <a href="../../../../../org/firebirdsql/gds/ng/AbstractFbDatabase.html#createBlobParameterBuffer--">createBlobParameterBuffer</a>, <a href="../../../../../org/firebirdsql/gds/ng/AbstractFbDatabase.html#createTransactionParameterBuffer--">createTransactionParameterBuffer</a>, <a href="../../../../../org/firebirdsql/gds/ng/AbstractFbDatabase.html#emptyRowDescriptor--">emptyRowDescriptor</a>, <a href="../../../../../org/firebirdsql/gds/ng/AbstractFbDatabase.html#getActiveTransactionCount--">getActiveTransactionCount</a>, <a href="../../../../../org/firebirdsql/gds/ng/AbstractFbDatabase.html#getConnectionDialect--">getConnectionDialect</a>, <a href="../../../../../org/firebirdsql/gds/ng/AbstractFbDatabase.html#getConnectionProperties--">getConnectionProperties</a>, <a href="../../../../../org/firebirdsql/gds/ng/AbstractFbDatabase.html#getDatabaseDialect--">getDatabaseDialect</a>, <a href="../../../../../org/firebirdsql/gds/ng/AbstractFbDatabase.html#getDatabaseInfo-byte:A-int-org.firebirdsql.gds.ng.InfoProcessor-">getDatabaseInfo</a>, <a href="../../../../../org/firebirdsql/gds/ng/AbstractFbDatabase.html#getDatabaseInformationProcessor--">getDatabaseInformationProcessor</a>, <a href="../../../../../org/firebirdsql/gds/ng/AbstractFbDatabase.html#getDatabaseWarningCallback--">getDatabaseWarningCallback</a>, <a href="../../../../../org/firebirdsql/gds/ng/AbstractFbDatabase.html#getDescribeDatabaseInfoBlock--">getDescribeDatabaseInfoBlock</a>, <a href="../../../../../org/firebirdsql/gds/ng/AbstractFbDatabase.html#getOdsMajor--">getOdsMajor</a>, <a href="../../../../../org/firebirdsql/gds/ng/AbstractFbDatabase.html#getOdsMinor--">getOdsMinor</a>, <a href="../../../../../org/firebirdsql/gds/ng/AbstractFbDatabase.html#getParameterDescriptionInfoRequestItems--">getParameterDescriptionInfoRequestItems</a>, <a href="../../../../../org/firebirdsql/gds/ng/AbstractFbDatabase.html#getStatementInfoRequestItems--">getStatementInfoRequestItems</a>, <a href="../../../../../org/firebirdsql/gds/ng/AbstractFbDatabase.html#internalDetach--">internalDetach</a>, <a href="../../../../../org/firebirdsql/gds/ng/AbstractFbDatabase.html#removeDatabaseListener-org.firebirdsql.gds.ng.listeners.DatabaseListener-">removeDatabaseListener</a>, <a href="../../../../../org/firebirdsql/gds/ng/AbstractFbDatabase.html#setDatabaseDialect-short-">setDatabaseDialect</a>, <a href="../../../../../org/firebirdsql/gds/ng/AbstractFbDatabase.html#setOdsMajor-int-">setOdsMajor</a>, <a href="../../../../../org/firebirdsql/gds/ng/AbstractFbDatabase.html#setOdsMinor-int-">setOdsMinor</a>, <a href="../../../../../org/firebirdsql/gds/ng/AbstractFbDatabase.html#transactionAdded-org.firebirdsql.gds.ng.FbTransaction-">transactionAdded</a>, <a href="../../../../../org/firebirdsql/gds/ng/AbstractFbDatabase.html#transactionStateChanged-org.firebirdsql.gds.ng.FbTransaction-org.firebirdsql.gds.ng.TransactionState-org.firebirdsql.gds.ng.TransactionState-">transactionStateChanged</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.firebirdsql.gds.ng.AbstractFbAttachment">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.firebirdsql.gds.ng.<a href="../../../../../org/firebirdsql/gds/ng/AbstractFbAttachment.html" title="class in org.firebirdsql.gds.ng">AbstractFbAttachment</a></h3>
<code><a href="../../../../../org/firebirdsql/gds/ng/AbstractFbAttachment.html#addExceptionListener-org.firebirdsql.gds.ng.listeners.ExceptionListener-">addExceptionListener</a>, <a href="../../../../../org/firebirdsql/gds/ng/AbstractFbAttachment.html#createDbCryptCallback--">createDbCryptCallback</a>, <a href="../../../../../org/firebirdsql/gds/ng/AbstractFbAttachment.html#getDatatypeCoder--">getDatatypeCoder</a>, <a href="../../../../../org/firebirdsql/gds/ng/AbstractFbAttachment.html#getEncoding--">getEncoding</a>, <a href="../../../../../org/firebirdsql/gds/ng/AbstractFbAttachment.html#getEncodingFactory--">getEncodingFactory</a>, <a href="../../../../../org/firebirdsql/gds/ng/AbstractFbAttachment.html#getServerVersion--">getServerVersion</a>, <a href="../../../../../org/firebirdsql/gds/ng/AbstractFbAttachment.html#getServerVersionInformation--">getServerVersionInformation</a>, <a href="../../../../../org/firebirdsql/gds/ng/AbstractFbAttachment.html#getSynchronizationObject--">getSynchronizationObject</a>, <a href="../../../../../org/firebirdsql/gds/ng/AbstractFbAttachment.html#removeExceptionListener-org.firebirdsql.gds.ng.listeners.ExceptionListener-">removeExceptionListener</a>, <a href="../../../../../org/firebirdsql/gds/ng/AbstractFbAttachment.html#safelyDetach--">safelyDetach</a>, <a href="../../../../../org/firebirdsql/gds/ng/AbstractFbAttachment.html#setAttached--">setAttached</a>, <a href="../../../../../org/firebirdsql/gds/ng/AbstractFbAttachment.html#setDetached--">setDetached</a>, <a href="../../../../../org/firebirdsql/gds/ng/AbstractFbAttachment.html#setServerVersion-java.lang.String...-">setServerVersion</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.firebirdsql.gds.ng.wire.FbWireDatabase">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.firebirdsql.gds.ng.wire.<a href="../../../../../org/firebirdsql/gds/ng/wire/FbWireDatabase.html" title="interface in org.firebirdsql.gds.ng.wire">FbWireDatabase</a></h3>
<code><a href="../../../../../org/firebirdsql/gds/ng/wire/FbWireDatabase.html#enqueueDeferredAction-org.firebirdsql.gds.ng.wire.DeferredAction-">enqueueDeferredAction</a>, <a href="../../../../../org/firebirdsql/gds/ng/wire/FbWireDatabase.html#getBlrCalculator--">getBlrCalculator</a>, <a href="../../../../../org/firebirdsql/gds/ng/wire/FbWireDatabase.html#releaseObject-int-int-">releaseObject</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.firebirdsql.gds.ng.FbDatabase">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.firebirdsql.gds.ng.<a href="../../../../../org/firebirdsql/gds/ng/FbDatabase.html" title="interface in org.firebirdsql.gds.ng">FbDatabase</a></h3>
<code><a href="../../../../../org/firebirdsql/gds/ng/FbDatabase.html#addDatabaseListener-org.firebirdsql.gds.ng.listeners.DatabaseListener-">addDatabaseListener</a>, <a href="../../../../../org/firebirdsql/gds/ng/FbDatabase.html#addWeakDatabaseListener-org.firebirdsql.gds.ng.listeners.DatabaseListener-">addWeakDatabaseListener</a>, <a href="../../../../../org/firebirdsql/gds/ng/FbDatabase.html#cancelOperation-int-">cancelOperation</a>, <a href="../../../../../org/firebirdsql/gds/ng/FbDatabase.html#createBlobParameterBuffer--">createBlobParameterBuffer</a>, <a href="../../../../../org/firebirdsql/gds/ng/FbDatabase.html#createDatabase--">createDatabase</a>, <a href="../../../../../org/firebirdsql/gds/ng/FbDatabase.html#createStatement-org.firebirdsql.gds.ng.FbTransaction-">createStatement</a>, <a href="../../../../../org/firebirdsql/gds/ng/FbDatabase.html#createTransactionParameterBuffer--">createTransactionParameterBuffer</a>, <a href="../../../../../org/firebirdsql/gds/ng/FbDatabase.html#dropDatabase--">dropDatabase</a>, <a href="../../../../../org/firebirdsql/gds/ng/FbDatabase.html#emptyRowDescriptor--">emptyRowDescriptor</a>, <a href="../../../../../org/firebirdsql/gds/ng/FbDatabase.html#executeImmediate-java.lang.String-org.firebirdsql.gds.ng.FbTransaction-">executeImmediate</a>, <a href="../../../../../org/firebirdsql/gds/ng/FbDatabase.html#getConnectionDialect--">getConnectionDialect</a>, <a href="../../../../../org/firebirdsql/gds/ng/FbDatabase.html#getConnectionProperties--">getConnectionProperties</a>, <a href="../../../../../org/firebirdsql/gds/ng/FbDatabase.html#getDatabaseDialect--">getDatabaseDialect</a>, <a href="../../../../../org/firebirdsql/gds/ng/FbDatabase.html#getDatabaseInfo-byte:A-int-">getDatabaseInfo</a>, <a href="../../../../../org/firebirdsql/gds/ng/FbDatabase.html#getDatabaseInfo-byte:A-int-org.firebirdsql.gds.ng.InfoProcessor-">getDatabaseInfo</a>, <a href="../../../../../org/firebirdsql/gds/ng/FbDatabase.html#getHandle--">getHandle</a>, <a href="../../../../../org/firebirdsql/gds/ng/FbDatabase.html#getOdsMajor--">getOdsMajor</a>, <a href="../../../../../org/firebirdsql/gds/ng/FbDatabase.html#getOdsMinor--">getOdsMinor</a>, <a href="../../../../../org/firebirdsql/gds/ng/FbDatabase.html#reconnectTransaction-long-">reconnectTransaction</a>, <a href="../../../../../org/firebirdsql/gds/ng/FbDatabase.html#removeDatabaseListener-org.firebirdsql.gds.ng.listeners.DatabaseListener-">removeDatabaseListener</a>, <a href="../../../../../org/firebirdsql/gds/ng/FbDatabase.html#startTransaction-org.firebirdsql.gds.TransactionParameterBuffer-">startTransaction</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.firebirdsql.gds.ng.wire.FbWireAttachment">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.firebirdsql.gds.ng.wire.<a href="../../../../../org/firebirdsql/gds/ng/wire/FbWireAttachment.html" title="interface in org.firebirdsql.gds.ng.wire">FbWireAttachment</a></h3>
<code><a href="../../../../../org/firebirdsql/gds/ng/wire/FbWireAttachment.html#authReceiveResponse-org.firebirdsql.gds.ng.wire.FbWireAttachment.AcceptPacket-">authReceiveResponse</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.firebirdsql.gds.ng.FbAttachment">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.firebirdsql.gds.ng.<a href="../../../../../org/firebirdsql/gds/ng/FbAttachment.html" title="interface in org.firebirdsql.gds.ng">FbAttachment</a></h3>
<code><a href="../../../../../org/firebirdsql/gds/ng/FbAttachment.html#attach--">attach</a>, <a href="../../../../../org/firebirdsql/gds/ng/FbAttachment.html#close--">close</a>, <a href="../../../../../org/firebirdsql/gds/ng/FbAttachment.html#getDatatypeCoder--">getDatatypeCoder</a>, <a href="../../../../../org/firebirdsql/gds/ng/FbAttachment.html#getEncoding--">getEncoding</a>, <a href="../../../../../org/firebirdsql/gds/ng/FbAttachment.html#getEncodingFactory--">getEncodingFactory</a>, <a href="../../../../../org/firebirdsql/gds/ng/FbAttachment.html#getServerVersion--">getServerVersion</a>, <a href="../../../../../org/firebirdsql/gds/ng/FbAttachment.html#getSynchronizationObject--">getSynchronizationObject</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.firebirdsql.gds.ng.listeners.ExceptionListenable">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.firebirdsql.gds.ng.listeners.<a href="../../../../../org/firebirdsql/gds/ng/listeners/ExceptionListenable.html" title="interface in org.firebirdsql.gds.ng.listeners">ExceptionListenable</a></h3>
<code><a href="../../../../../org/firebirdsql/gds/ng/listeners/ExceptionListenable.html#addExceptionListener-org.firebirdsql.gds.ng.listeners.ExceptionListener-">addExceptionListener</a>, <a href="../../../../../org/firebirdsql/gds/ng/listeners/ExceptionListenable.html#removeExceptionListener-org.firebirdsql.gds.ng.listeners.ExceptionListener-">removeExceptionListener</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="protocolDescriptor">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>protocolDescriptor</h4>
<pre>protected final&nbsp;<a href="../../../../../org/firebirdsql/gds/ng/wire/ProtocolDescriptor.html" title="interface in org.firebirdsql.gds.ng.wire">ProtocolDescriptor</a> protocolDescriptor</pre>
</li>
</ul>
<a name="wireOperations">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>wireOperations</h4>
<pre>protected final&nbsp;<a href="../../../../../org/firebirdsql/gds/ng/wire/FbWireOperations.html" title="interface in org.firebirdsql.gds.ng.wire">FbWireOperations</a> wireOperations</pre>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="AbstractFbWireDatabase-org.firebirdsql.gds.ng.wire.WireDatabaseConnection-org.firebirdsql.gds.ng.wire.ProtocolDescriptor-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>AbstractFbWireDatabase</h4>
<pre>protected&nbsp;AbstractFbWireDatabase(<a href="../../../../../org/firebirdsql/gds/ng/wire/WireDatabaseConnection.html" title="class in org.firebirdsql.gds.ng.wire">WireDatabaseConnection</a>&nbsp;connection,
                                 <a href="../../../../../org/firebirdsql/gds/ng/wire/ProtocolDescriptor.html" title="interface in org.firebirdsql.gds.ng.wire">ProtocolDescriptor</a>&nbsp;descriptor)</pre>
<div class="block">Creates an AbstractFbWireDatabase instance.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>connection</code> - A WireConnection with an established connection to the server.</dd>
<dd><code>descriptor</code> - The ProtocolDescriptor that created this connection (this is
         used for creating further dependent objects).</dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getXdrIn--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getXdrIn</h4>
<pre>protected final&nbsp;<a href="../../../../../org/firebirdsql/gds/impl/wire/XdrInputStream.html" title="class in org.firebirdsql.gds.impl.wire">XdrInputStream</a>&nbsp;getXdrIn()
                                 throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block">Gets the XdrInputStream.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Instance of XdrInputStream</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code> - If no connection is opened or when exceptions occur
         retrieving the InputStream</dd>
</dl>
</li>
</ul>
<a name="getXdrOut--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getXdrOut</h4>
<pre>protected final&nbsp;<a href="../../../../../org/firebirdsql/gds/impl/wire/XdrOutputStream.html" title="class in org.firebirdsql.gds.impl.wire">XdrOutputStream</a>&nbsp;getXdrOut()
                                   throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block">Gets the XdrOutputStream.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Instance of XdrOutputStream</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code> - If no connection is opened or when exceptions occur
         retrieving the OutputStream</dd>
</dl>
</li>
</ul>
<a name="getXdrStreamAccess--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getXdrStreamAccess</h4>
<pre>public final&nbsp;<a href="../../../../../org/firebirdsql/gds/ng/wire/XdrStreamAccess.html" title="interface in org.firebirdsql.gds.ng.wire">XdrStreamAccess</a>&nbsp;getXdrStreamAccess()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../org/firebirdsql/gds/ng/wire/FbWireAttachment.html#getXdrStreamAccess--">getXdrStreamAccess</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../org/firebirdsql/gds/ng/wire/FbWireAttachment.html" title="interface in org.firebirdsql.gds.ng.wire">FbWireAttachment</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Instance of <a href="../../../../../org/firebirdsql/gds/ng/wire/XdrStreamAccess.html" title="interface in org.firebirdsql.gds.ng.wire"><code>XdrStreamAccess</code></a> for this attachment.</dd>
</dl>
</li>
</ul>
<a name="isAttached--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isAttached</h4>
<pre>public final&nbsp;boolean&nbsp;isAttached()</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../org/firebirdsql/gds/ng/FbAttachment.html#isAttached--">FbAttachment</a></code></span></div>
<div class="block">Current attachment status.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../org/firebirdsql/gds/ng/FbAttachment.html#isAttached--">isAttached</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../org/firebirdsql/gds/ng/FbAttachment.html" title="interface in org.firebirdsql.gds.ng">FbAttachment</a></code></dd>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="../../../../../org/firebirdsql/gds/ng/AbstractFbAttachment.html#isAttached--">isAttached</a></code>&nbsp;in class&nbsp;<code><a href="../../../../../org/firebirdsql/gds/ng/AbstractFbAttachment.html" title="class in org.firebirdsql.gds.ng">AbstractFbAttachment</a>&lt;<a href="../../../../../org/firebirdsql/gds/ng/wire/WireDatabaseConnection.html" title="class in org.firebirdsql.gds.ng.wire">WireDatabaseConnection</a>&gt;</code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd><code>true</code> if connected to the server and attached to a database or service, <code>false</code>
 otherwise.</dd>
</dl>
</li>
</ul>
<a name="checkConnected--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>checkConnected</h4>
<pre>protected final&nbsp;void&nbsp;checkConnected()
                             throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block">Checks if a physical connection to the server is established.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../org/firebirdsql/gds/ng/AbstractFbAttachment.html#checkConnected--">checkConnected</a></code>&nbsp;in class&nbsp;<code><a href="../../../../../org/firebirdsql/gds/ng/AbstractFbAttachment.html" title="class in org.firebirdsql.gds.ng">AbstractFbAttachment</a>&lt;<a href="../../../../../org/firebirdsql/gds/ng/wire/WireDatabaseConnection.html" title="class in org.firebirdsql.gds.ng.wire">WireDatabaseConnection</a>&gt;</code></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code> - If not connected.</dd>
</dl>
</li>
</ul>
<a name="checkAttached--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>checkAttached</h4>
<pre>protected final&nbsp;void&nbsp;checkAttached()
                            throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block">Checks if a physical connection to the server is established and if the
 connection is attached to a database.
 <p>
 This method calls <a href="../../../../../org/firebirdsql/gds/ng/wire/AbstractFbWireDatabase.html#checkConnected--"><code>checkConnected()</code></a>, so it is not necessary to
 call both.
 </p></div>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code> - If the database not connected or attached.</dd>
</dl>
</li>
</ul>
<a name="closeConnection--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>closeConnection</h4>
<pre>protected final&nbsp;void&nbsp;closeConnection()
                              throws <a href="https://docs.oracle.com/javase/8/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a></pre>
<div class="block">Closes the WireConnection associated with this connection.</div>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a></code> - For errors closing the connection.</dd>
</dl>
</li>
</ul>
<a name="createBlobForOutput-org.firebirdsql.gds.ng.FbTransaction-org.firebirdsql.gds.BlobParameterBuffer-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createBlobForOutput</h4>
<pre>public final&nbsp;<a href="../../../../../org/firebirdsql/gds/ng/FbBlob.html" title="interface in org.firebirdsql.gds.ng">FbBlob</a>&nbsp;createBlobForOutput(<a href="../../../../../org/firebirdsql/gds/ng/FbTransaction.html" title="interface in org.firebirdsql.gds.ng">FbTransaction</a>&nbsp;transaction,
                                        <a href="../../../../../org/firebirdsql/gds/BlobParameterBuffer.html" title="interface in org.firebirdsql.gds">BlobParameterBuffer</a>&nbsp;blobParameterBuffer)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../org/firebirdsql/gds/ng/FbDatabase.html#createBlobForOutput-org.firebirdsql.gds.ng.FbTransaction-org.firebirdsql.gds.BlobParameterBuffer-">FbDatabase</a></code></span></div>
<div class="block">Creates a blob for write access to a new blob on the server.
 <p>
 The blob is initially closed.
 </p></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../org/firebirdsql/gds/ng/FbDatabase.html#createBlobForOutput-org.firebirdsql.gds.ng.FbTransaction-org.firebirdsql.gds.BlobParameterBuffer-">createBlobForOutput</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../org/firebirdsql/gds/ng/FbDatabase.html" title="interface in org.firebirdsql.gds.ng">FbDatabase</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>transaction</code> - Transaction associated with the blob.</dd>
<dd><code>blobParameterBuffer</code> - Blob Parameter Buffer</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Instance of <a href="../../../../../org/firebirdsql/gds/ng/FbBlob.html" title="interface in org.firebirdsql.gds.ng"><code>FbBlob</code></a></dd>
</dl>
</li>
</ul>
<a name="createBlobForInput-org.firebirdsql.gds.ng.FbTransaction-org.firebirdsql.gds.BlobParameterBuffer-long-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createBlobForInput</h4>
<pre>public final&nbsp;<a href="../../../../../org/firebirdsql/gds/ng/FbBlob.html" title="interface in org.firebirdsql.gds.ng">FbBlob</a>&nbsp;createBlobForInput(<a href="../../../../../org/firebirdsql/gds/ng/FbTransaction.html" title="interface in org.firebirdsql.gds.ng">FbTransaction</a>&nbsp;transaction,
                                       <a href="../../../../../org/firebirdsql/gds/BlobParameterBuffer.html" title="interface in org.firebirdsql.gds">BlobParameterBuffer</a>&nbsp;blobParameterBuffer,
                                       long&nbsp;blobId)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../org/firebirdsql/gds/ng/FbDatabase.html#createBlobForInput-org.firebirdsql.gds.ng.FbTransaction-org.firebirdsql.gds.BlobParameterBuffer-long-">FbDatabase</a></code></span></div>
<div class="block">Creates a blob for read access to an existing blob on the server.
 <p>
 The blob is initially closed.
 </p></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../org/firebirdsql/gds/ng/FbDatabase.html#createBlobForInput-org.firebirdsql.gds.ng.FbTransaction-org.firebirdsql.gds.BlobParameterBuffer-long-">createBlobForInput</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../org/firebirdsql/gds/ng/FbDatabase.html" title="interface in org.firebirdsql.gds.ng">FbDatabase</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>transaction</code> - Transaction associated with the blob.</dd>
<dd><code>blobParameterBuffer</code> - Blob Parameter Buffer</dd>
<dd><code>blobId</code> - Handle id of the blob</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Instance of <a href="../../../../../org/firebirdsql/gds/ng/FbBlob.html" title="interface in org.firebirdsql.gds.ng"><code>FbBlob</code></a></dd>
</dl>
</li>
</ul>
<a name="consumePackets-int-org.firebirdsql.gds.ng.WarningMessageCallback-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>consumePackets</h4>
<pre>public final&nbsp;void&nbsp;consumePackets(int&nbsp;numberOfResponses,
                                 <a href="../../../../../org/firebirdsql/gds/ng/WarningMessageCallback.html" title="interface in org.firebirdsql.gds.ng">WarningMessageCallback</a>&nbsp;warningCallback)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../org/firebirdsql/gds/ng/wire/FbWireDatabase.html#consumePackets-int-org.firebirdsql.gds.ng.WarningMessageCallback-">FbWireDatabase</a></code></span></div>
<div class="block">Consumes packets notifying for warnings, but ignoring exceptions thrown from the packet.
 <p>
 This method should only be used inside the implementation if either packets need to be ignored,
 or to ensure that there is no backlog of packets (eg when an exception occurs during processing of multiple
 package responses).
 </p></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../org/firebirdsql/gds/ng/wire/FbWireDatabase.html#consumePackets-int-org.firebirdsql.gds.ng.WarningMessageCallback-">consumePackets</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../org/firebirdsql/gds/ng/wire/FbWireDatabase.html" title="interface in org.firebirdsql.gds.ng.wire">FbWireDatabase</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>numberOfResponses</code> - Number of responses to consume.</dd>
<dd><code>warningCallback</code> - Callback for warnings</dd>
</dl>
</li>
</ul>
<a name="readGenericResponse-org.firebirdsql.gds.ng.WarningMessageCallback-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>readGenericResponse</h4>
<pre>public final&nbsp;<a href="../../../../../org/firebirdsql/gds/ng/wire/GenericResponse.html" title="class in org.firebirdsql.gds.ng.wire">GenericResponse</a>&nbsp;readGenericResponse(<a href="../../../../../org/firebirdsql/gds/ng/WarningMessageCallback.html" title="interface in org.firebirdsql.gds.ng">WarningMessageCallback</a>&nbsp;warningCallback)
                                          throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a>,
                                                 <a href="https://docs.oracle.com/javase/8/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a></pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../org/firebirdsql/gds/ng/wire/FbWireAttachment.html#readGenericResponse-org.firebirdsql.gds.ng.WarningMessageCallback-">FbWireAttachment</a></code></span></div>
<div class="block">Convenience method to read a Response to a GenericResponse</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../org/firebirdsql/gds/ng/wire/FbWireAttachment.html#readGenericResponse-org.firebirdsql.gds.ng.WarningMessageCallback-">readGenericResponse</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../org/firebirdsql/gds/ng/wire/FbWireAttachment.html" title="interface in org.firebirdsql.gds.ng.wire">FbWireAttachment</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>warningCallback</code> - Callback object for warnings, <code>null</code> for default callback</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>GenericResponse</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code> - For errors returned from the server, or when attempting to
         read.</dd>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a></code> - For errors reading the response from the connection.</dd>
</dl>
</li>
</ul>
<a name="readSqlResponse-org.firebirdsql.gds.ng.WarningMessageCallback-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>readSqlResponse</h4>
<pre>public final&nbsp;<a href="../../../../../org/firebirdsql/gds/ng/wire/SqlResponse.html" title="class in org.firebirdsql.gds.ng.wire">SqlResponse</a>&nbsp;readSqlResponse(<a href="../../../../../org/firebirdsql/gds/ng/WarningMessageCallback.html" title="interface in org.firebirdsql.gds.ng">WarningMessageCallback</a>&nbsp;warningCallback)
                                  throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a>,
                                         <a href="https://docs.oracle.com/javase/8/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a></pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../org/firebirdsql/gds/ng/wire/FbWireDatabase.html#readSqlResponse-org.firebirdsql.gds.ng.WarningMessageCallback-">FbWireDatabase</a></code></span></div>
<div class="block">Convenience method to read a Response to a SqlResponse</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../org/firebirdsql/gds/ng/wire/FbWireDatabase.html#readSqlResponse-org.firebirdsql.gds.ng.WarningMessageCallback-">readSqlResponse</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../org/firebirdsql/gds/ng/wire/FbWireDatabase.html" title="interface in org.firebirdsql.gds.ng.wire">FbWireDatabase</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>warningCallback</code> - Callback object for warnings, <code>null</code> for default callback</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>SqlResponse</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code> - For errors returned from the server, or when attempting to
         read.</dd>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a></code> - For errors reading the response from the connection.</dd>
</dl>
</li>
</ul>
<a name="readResponse-org.firebirdsql.gds.ng.WarningMessageCallback-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>readResponse</h4>
<pre>public final&nbsp;<a href="../../../../../org/firebirdsql/gds/ng/wire/Response.html" title="interface in org.firebirdsql.gds.ng.wire">Response</a>&nbsp;readResponse(<a href="../../../../../org/firebirdsql/gds/ng/WarningMessageCallback.html" title="interface in org.firebirdsql.gds.ng">WarningMessageCallback</a>&nbsp;warningCallback)
                            throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a>,
                                   <a href="https://docs.oracle.com/javase/8/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a></pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../org/firebirdsql/gds/ng/wire/FbWireDatabase.html#readResponse-org.firebirdsql.gds.ng.WarningMessageCallback-">FbWireDatabase</a></code></span></div>
<div class="block">Reads the response from the server.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../org/firebirdsql/gds/ng/wire/FbWireDatabase.html#readResponse-org.firebirdsql.gds.ng.WarningMessageCallback-">readResponse</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../org/firebirdsql/gds/ng/wire/FbWireDatabase.html" title="interface in org.firebirdsql.gds.ng.wire">FbWireDatabase</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>warningCallback</code> - Callback object for warnings, <code>null</code> for default callback</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd><a href="../../../../../org/firebirdsql/gds/ng/wire/Response.html" title="interface in org.firebirdsql.gds.ng.wire"><code>Response</code></a> read.</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code> - For errors returned from the server, or when attempting to read</dd>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a></code> - For errors reading the response from the connection.</dd>
</dl>
</li>
</ul>
<a name="createEventHandle-java.lang.String-org.firebirdsql.gds.EventHandler-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createEventHandle</h4>
<pre>public final&nbsp;<a href="../../../../../org/firebirdsql/gds/EventHandle.html" title="interface in org.firebirdsql.gds">EventHandle</a>&nbsp;createEventHandle(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;eventName,
                                           <a href="../../../../../org/firebirdsql/gds/EventHandler.html" title="interface in org.firebirdsql.gds">EventHandler</a>&nbsp;eventHandler)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../org/firebirdsql/gds/ng/FbDatabase.html#createEventHandle-java.lang.String-org.firebirdsql.gds.EventHandler-">FbDatabase</a></code></span></div>
<div class="block">Creates an event handle for this database type.
 <p>
 The returned event handle can be used with <a href="../../../../../org/firebirdsql/gds/ng/FbDatabase.html#queueEvent-org.firebirdsql.gds.EventHandle-"><code>FbDatabase.queueEvent(org.firebirdsql.gds.EventHandle)</code></a>.
 </p></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../org/firebirdsql/gds/ng/FbDatabase.html#createEventHandle-java.lang.String-org.firebirdsql.gds.EventHandler-">createEventHandle</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../org/firebirdsql/gds/ng/FbDatabase.html" title="interface in org.firebirdsql.gds.ng">FbDatabase</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>eventName</code> - Name of the event</dd>
<dd><code>eventHandler</code> - The event handler to call when the event occurred</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>A suitable event handle instance</dd>
</dl>
</li>
</ul>
<a name="queueEvent-org.firebirdsql.gds.EventHandle-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>queueEvent</h4>
<pre>public final&nbsp;void&nbsp;queueEvent(<a href="../../../../../org/firebirdsql/gds/EventHandle.html" title="interface in org.firebirdsql.gds">EventHandle</a>&nbsp;eventHandle)
                      throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../org/firebirdsql/gds/ng/FbDatabase.html#queueEvent-org.firebirdsql.gds.EventHandle-">FbDatabase</a></code></span></div>
<div class="block">Queues a wait for an event.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../org/firebirdsql/gds/ng/FbDatabase.html#queueEvent-org.firebirdsql.gds.EventHandle-">queueEvent</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../org/firebirdsql/gds/ng/FbDatabase.html" title="interface in org.firebirdsql.gds.ng">FbDatabase</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>eventHandle</code> - The event handle (created using <a href="../../../../../org/firebirdsql/gds/ng/FbDatabase.html#createEventHandle-java.lang.String-org.firebirdsql.gds.EventHandler-"><code>FbDatabase.createEventHandle(String, EventHandler)</code></a> of this instance).</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code> - For errors establishing the asynchronous channel, or for queuing the event.</dd>
</dl>
</li>
</ul>
<a name="cancelEvent-org.firebirdsql.gds.EventHandle-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>cancelEvent</h4>
<pre>public final&nbsp;void&nbsp;cancelEvent(<a href="../../../../../org/firebirdsql/gds/EventHandle.html" title="interface in org.firebirdsql.gds">EventHandle</a>&nbsp;eventHandle)
                       throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../org/firebirdsql/gds/ng/FbDatabase.html#cancelEvent-org.firebirdsql.gds.EventHandle-">FbDatabase</a></code></span></div>
<div class="block">Cancels a registered event.
 <p>
 After cancellation, the event handle should be considered unusable. Before queueing a new event, an new
 handle needs to be created.
 </p></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../org/firebirdsql/gds/ng/FbDatabase.html#cancelEvent-org.firebirdsql.gds.EventHandle-">cancelEvent</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../org/firebirdsql/gds/ng/FbDatabase.html" title="interface in org.firebirdsql.gds.ng">FbDatabase</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>eventHandle</code> - The event handle to cancel</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code> - For errors cancelling the event</dd>
</dl>
</li>
</ul>
<a name="countEvents-org.firebirdsql.gds.EventHandle-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>countEvents</h4>
<pre>public final&nbsp;void&nbsp;countEvents(<a href="../../../../../org/firebirdsql/gds/EventHandle.html" title="interface in org.firebirdsql.gds">EventHandle</a>&nbsp;eventHandle)
                       throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../org/firebirdsql/gds/ng/FbDatabase.html#countEvents-org.firebirdsql.gds.EventHandle-">FbDatabase</a></code></span></div>
<div class="block">Counts the events occurred.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../org/firebirdsql/gds/ng/FbDatabase.html#countEvents-org.firebirdsql.gds.EventHandle-">countEvents</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../org/firebirdsql/gds/ng/FbDatabase.html" title="interface in org.firebirdsql.gds.ng">FbDatabase</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>eventHandle</code> - The event handle</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code> - When the count can not be done (as - for example - the event handle is of the wrong type)</dd>
</dl>
</li>
</ul>
<a name="initAsynchronousChannel--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>initAsynchronousChannel</h4>
<pre>public abstract&nbsp;<a href="../../../../../org/firebirdsql/gds/ng/wire/FbWireAsynchronousChannel.html" title="interface in org.firebirdsql.gds.ng.wire">FbWireAsynchronousChannel</a>&nbsp;initAsynchronousChannel()
                                                           throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block">Initializes the asynchronous channel (for event notification).</div>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code> - For errors establishing the channel, or if the channel already exists.</dd>
</dl>
</li>
</ul>
<a name="finalize--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>finalize</h4>
<pre>protected&nbsp;void&nbsp;finalize()
                 throws <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Throwable.html?is-external=true" title="class or interface in java.lang">Throwable</a></pre>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a></code>&nbsp;in class&nbsp;<code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></code></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Throwable.html?is-external=true" title="class or interface in java.lang">Throwable</a></code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/firebirdsql/gds/ng/wire/AbstractFbWireBlob.html" title="class in org.firebirdsql.gds.ng.wire"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../org/firebirdsql/gds/ng/wire/AbstractFbWireInputBlob.html" title="class in org.firebirdsql.gds.ng.wire"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/firebirdsql/gds/ng/wire/AbstractFbWireDatabase.html" target="_top">Frames</a></li>
<li><a href="AbstractFbWireDatabase.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &copy; 2001-2019 Jaybird (Firebird JDBC/JCA) team. All rights reserved.</small></p>
</body>
</html>
